package cz.muni.fi.pa165.core.house;

import cz.muni.fi.pa165.core.common.DomainFacade;
import cz.muni.fi.pa165.model.dto.house.HouseCreateDto;
import cz.muni.fi.pa165.model.dto.house.HouseDto;
import cz.muni.fi.pa165.model.dto.house.HouseUpdateDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component
public class HouseFacade extends DomainFacade<House, HouseDto, HouseCreateDto, HouseUpdateDto> {
	private final HouseService houseService; // For the "HouseService" specific methods

	@Autowired
	public HouseFacade(HouseService houseService,
					   HouseMapper houseMapper) {
		super(houseService, houseMapper);
		this.houseService = houseService;
	}
}