package cz.muni.fi.pa165.core.user.roles;

import cz.muni.fi.pa165.core.house.House;
import cz.muni.fi.pa165.model.dto.role.enums.HouseRoleEnum;
import jakarta.persistence.*;
import lombok.*;

@Getter
@Setter
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "domain_houseRoles")
public class HouseRole extends Role {

    @ManyToOne
    private House house;

    private HouseRoleEnum houseRole;
}
